## eom-util eom-util |

## Functions

void | eom_util_show_help ()
gchar * | eom_util_make_valid_utf8 ()
GSList * | eom_util_parse_uri_string_list_to_file_list ()
GSList * | eom_util_string_list_to_file_list ()
GSList * | eom_util_strings_to_file_list ()
GSList * | eom_util_string_array_to_list ()
gchar ** | eom_util_string_array_make_absolute ()
gboolean | eom_util_launch_desktop_file ()
const gchar * | eom_util_dot_dir ()
gboolean | eom_util_file_is_persistent ()
char * | eom_util_filename_get_extension ()

## Description

## Functions

### eom_util_show_help ()

    void
    eom_util_show_help (const gchar *section,
                        GtkWindow *parent);

### eom_util_make_valid_utf8 ()

    gchar *
    eom_util_make_valid_utf8 (const gchar *name);

#### Returns

### eom_util_parse_uri_string_list_to_file_list ()

    GSList *
    eom_util_parse_uri_string_list_to_file_list
                                   (const gchar *uri_list);

#### Returns

### eom_util_string_list_to_file_list ()

    GSList *
    eom_util_string_list_to_file_list (GSList *string_list);

#### Returns

### eom_util_strings_to_file_list ()

    GSList *
    eom_util_strings_to_file_list (gchar **strings);

#### Returns

### eom_util_string_array_to_list ()

    GSList *
    eom_util_string_array_to_list (const gchar **files,
                                   gboolean create_uri);

#### Returns

### eom_util_string_array_make_absolute ()

    gchar **
    eom_util_string_array_make_absolute (gchar **files);

#### Returns

### eom_util_launch_desktop_file ()

    gboolean
    eom_util_launch_desktop_file (const gchar *filename,
                                  guint32 user_time);

#### Returns

### eom_util_dot_dir ()

    const    gchar *
    eom_util_dot_dir (void);

#### Returns

### eom_util_file_is_persistent ()

    gboolean
    eom_util_file_is_persistent (GFile *file);

Checks whether `file` is a non-removable local mount.

#### Parameters

file | a GFile |

#### Returns

`TRUE` if `file` is in a non-removable mount, `FALSE` otherwise or when it is remote.

### eom_util_filename_get_extension ()

    char *
    eom_util_filename_get_extension (const char *filename_with_extension);

Returns a reasonably good guess of the file extension of `filename` .

#### Returns

a newly allocated string with the file extension of `filename` .

## Types and Values